<?php 



include "cadastro_chamado_cliente.php";


$status_descricao    = $_POST["nome_status"];
$status_descricao    = remover_acentos($status_descricao);
$status_setor		 = $_POST['setor'];
$status_email        = $_POST['email'];
$status_cor		     = $_POST['cadcor'];
$dominio           = $_SERVER['HTTP_HOST'];


include "conexao2.php";




if(isset($_GET["edit"])){ 

 	
$idd = $_GET["edit"];

 	$inserir = ("UPDATE chamado_status SET
	descricao   = '$status_descricao',    
	setor       = '$status_setor', 
	email_setor = '$status_email',
	cor         = '$status_cor'   
	
	WHERE idstatus = $idd
");


/*
 		$deletar = ("DELETE FROM crm_statusvinculo WHERE crm_idstatus = $idd") OR die("Não foi possível deletar da tabela");
       mysqli_query($db, $deletar);



 foreach ($crm_arquivo as $idant) {
	$inserir2 = ("INSERT INTO crm_statusvinculo (
	crm_idstatus,
	crm_idant
)
values (
'$idd',
'$idant'
)
");

mysqli_query($db, $inserir2);

}


$locationn = '"crm_cadstatus.php?edt=2"';


*/
 	} else {

 $inserir = ("INSERT INTO chamado_status (
	descricao,
	setor,
	email_setor,
	cor

	
)
values (
'$status_descricao',
'$status_setor',
'$status_email',
'$status_cor'
)


");




 	$locationn = '"cadastro_status_chamado.php?cad=1"'; }



//execução da query do mysql para inserção no banco!
//$executa_query = mysqli_query ($db,$inserir);

//mensagem de confirmação de envio do formulário!
if(@mysqli_query($db,$inserir)){

if(!isset($_GET["edit"])){
	


	$ultimo_id = mysqli_insert_id($db);
 
	$deletar2 = ("DELETE FROM crm_statusvinculo WHERE crm_idstatus = $ultimo_id") OR die("Não foi possível deletar da tabela");
       mysqli_query($db, $deletar2);

 		foreach ($crm_arquivo as $idant) {
			$inserir3 = ("INSERT INTO crm_statusvinculo (
				crm_idstatus,
				crm_idant
				)
				values (
				'$ultimo_id',
				'$idant'
				)
				");

mysqli_query($db, $inserir3);
}
}

//echo '<script>alert("Dados cadastrados!");</script>';
	?>

	<script>
		window.location= <?php echo $locationn ?>;
	</script>

	<?php
}else{

	echo '<script>alert("Não foi possível cadastrar!");</script>';

}



?>
<script>
 window.location="cadastro_status_chamado.php";
</script>

